<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('employee_suspensions', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('employee_id', 20)->index();
            $table->string('company_id', 20)->index();
            $table->string('dealer_id', 20)->index();
            $table->date('date_from');
            $table->date('date_to');
            $table->text('reason');
            $table->boolean('enabled')->default(true)->index();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('employee_suspensions');
    }
};
